// ===========================================================================
// CONTENT  : CLASS AllTests
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 19/01/2000
// HISTORY  :
//  19/01/2000  duma  CREATED
//
// Copyright (c) 2000, by MDCS. All rights reserved.
// ===========================================================================
package org.pf.joi.xml;

// ===========================================================================
// IMPORTS
// ===========================================================================
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.swingui.TestRunner;

/**
 * Combines all unit tests for JOI.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class AllTests extends TestCase
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================
  public static void main( String[] args )
	{
		String[] params		= { "org.pf.joi.xml.AllTests" } ;

		TestRunner.main( params ) ;

	} // main()

  // -------------------------------------------------------------------------

  public static Test suite()
  {
  	TestSuite suite = new TestSuite() ;

  	suite.addTest( XMLObjectExporterTest.suite() ) ;

  	return suite ;
  } // AllTests()

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public AllTests( String name )
  {
  	super( name ) ;
  } // AllTests()


} // class AllTests